import type { FilePartCount } from "./FilePartCount";
import type { FileSummary } from "./FileSummary";
import type { UploadPart } from "./UploadPart";
/**
 * File upload initialization response.
 */
export declare type BeginUploadResponse = {
    file: FileSummary;
    uploadParts: {
        first: UploadPart;
        count: FilePartCount;
    };
};
